//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop
#include "App_InputDialog.h"
//---------------------------------------------------------------------------
#pragma resource "*.dfm"
TAppInputDialog* AppInputDialog = NULL;
//---------------------------------------------------------------------------
void __fastcall TAppInputDialog::FormCloseQuery(TObject* ASender, bool& ACanClose)
{
	if(ModalResult == mrOk) {
		Value = Input;
	}
	ActiveControl = NULL;
	ACanClose = true;
}
//---------------------------------------------------------------------------
AnsiString __fastcall TAppInputDialog::GetMessage()
{
	return Label1->Caption;
}
//---------------------------------------------------------------------------
void __fastcall TAppInputDialog::SetMessage(const AnsiString& AMessage)
{
	Label1->Caption = AMessage;
}
//---------------------------------------------------------------------------
AnsiString __fastcall TAppInputDialog::GetInput()
{
	return Edit1->Text;
}
//---------------------------------------------------------------------------
void __fastcall TAppInputDialog::SetInput(const AnsiString& AInput)
{
	Edit1->Text = AInput;
}
//---------------------------------------------------------------------------
__fastcall TAppInputDialog::TAppInputDialog(TComponent* AOwner) :
	TForm(AOwner)
{
	// Do nothing
}
//---------------------------------------------------------------------------
__fastcall TAppInputDialog::~TAppInputDialog()
{
	// Do nothing
}
//---------------------------------------------------------------------------
TAppInputDialog* __fastcall TAppInputDialog::EnsureCreate()
{
	if(AppInputDialog == NULL) {
		AppInputDialog = new TAppInputDialog(Application);
	}
	return AppInputDialog;
}
//---------------------------------------------------------------------------
bool __fastcall TAppInputDialog::Execute()
{
	Input = Value;
	SelectFirst();
	if(ShowModal() != mrOk) {
		return false;
	}
	return true;
}
//---------------------------------------------------------------------------
bool __fastcall TAppInputDialog::Execute(const AnsiString& ATitle, const AnsiString& AMessage, AnsiString& AValue)
{
	Caption = ATitle;
	Message = AMessage;
	Value = AValue;
	if(!Execute()) {
		return false;
	}
	AValue = Value;
	return true;
}
//---------------------------------------------------------------------------

